> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/private-endpoints/participants/get.md).

# GET

#### `GET /participants` <a href="#get-participants" id="get-participants"></a>

```
const getParticipants = () => {
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/participants' + '{}'
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.get('https://api.ndax.in/participants', options)
}
```

> Sample Response

```
{
  "message": [
    {
      "participant_code": "123XYZ",
      "custodian_participant_code": "CUST01",
      "participant_name": "Digicash LLP",
      "credit_limit": "50000",
      "status": "approved",
      "email": "admin@digicash.com"
    },
    {
      "participant_code": "ABC456",
      "participant_name": "Bits LLP",
      "credit_limit": null,
      "status": "approved",
      "email": null
    }
  ],
  "page": 1,
  "total_pages": 1,
  "page_size": 50,
  "count": 2
}
```

Returns a list of all participants to which you are associated.

Query parameters include:

* `email` (optional) filters to a particular email
* `participant_code` (optional) filters to a particular participant code
* `page` (optional) for paginating through the participants
* `minors` (optional) \[true or false] if true, returns a list of minors and their associated custodians
* `status` (optional) the current status of the participant.&#x20;

Response parameters listed below

<table><thead><tr><th width="274.3333333333333">Parameter</th><th width="371">Description</th><th>Type</th></tr></thead><tbody><tr><td>participant_code</td><td>Unique participant code</td><td>string</td></tr><tr><td>custodian_participant_code</td><td>Unique participant code of the associated custodian</td><td>string</td></tr><tr><td>participant_name</td><td>Name of participant</td><td>string</td></tr><tr><td>credit_limit</td><td>Client-determined credit limit. used purely for reporting purposes at this time</td><td>string</td></tr><tr><td>email</td><td>Email associated with the participant. If the participant is institutional, this field will be null</td><td>string</td></tr><tr><td>status</td><td>The current status of the participant. read more about statuses here</td><td>string</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/participants/get.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
